%define packname waveslim

Summary: R module, Basic wavelet routines for 1,2 and 3-dimensional signal processing
Name: R-%{packname}
Version: 1.7.5
Release: 1%{?dist}
License: GPLv2+
Group: Applications/Engineering
Source0: ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}.tar.gz
URL: http://waveslim.r-forge.r-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: R-core >= 3.0.0
BuildRequires: R-devel >= 3.0.0, tetex-latex, gcc-gfortran


%description
Basic wavelet routines for time series (1D), image (2D)
and array (3D) analysis.  The code provided here is based on
wavelet methodology developed in Percival and Walden (2000);
Gencay, Selcuk and Whitcher (2001); the dual-tree complex wavelet
transform (CWT) from Kingsbury (1999, 2001) as implemented by
Selesnick; and Hilbert wavelet pairs (Selesnick 2001, 2002).  All
figures in chapters 4-7 of GSW (2001) are reproducible using this
package and R code available at the book website(s) below.

%prep
%setup -q -n %{packname}

%build

%install
%{__rm} -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/R/library
cd ..; R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
%{__rm} -rf %{buildroot}%{_libdir}/R/library/R.css

%check
# Wants fftw
# cd ..;%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{_libdir}/R/library/%{packname}
%doc DESCRIPTION

%changelog
* Tue Jul 21 2015 José Matos <jamatos@fedoraproject.org> - 1.7.5-1
- Update to 1.7.5

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 23 2013 José Matos <jamatos@fedoraproject.org> - 1.7.3-1
- update to 1.7.3

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Tom Callaway <spot@fedoraproject.org> - 1.7.2-1
- update to 1.7.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> - 1.6.4-2
- rebuild for R 2.14.0

* Thu Mar 17 2011 José Matos <jamatos@fedoraproject.org> - 1.6.4-1
- Update to latest stable release.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 28 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.6.1-5
- update scriptlets, url

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 14 2008 José Matos <jamatos[AT]fc.up.pt> - 1.6.1-2
- Rebuild for gcc 4.3

* Mon Jan  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.6.1-1
- bump to 1.6.1

* Mon Jan  7 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.6-5
- BuildRequires: R-devel rather than just R

* Mon Aug 27 2007 José Matos <jamatos[AT]fc.up.pt> - 1.6-4
- License fix, rebuild for devel (F8).

* Thu Apr 26 2007 José Matos <jamatos[AT]fc.up.pt> - 1.6-3
- Create install dir.

* Thu Apr 26 2007 José Matos <jamatos[AT]fc.up.pt> - 1.6-2
- Rebuild for R 2.5.

* Sat Apr 21 2007 José Matos <jamatos[AT]fc.up.pt> - 1.6-1
- New upstream version.

* Tue Oct 17 2006 José Matos <jamatos[AT]fc.up.pt> - 1.5-5
- Rebuild for R 2.4.0.

* Thu Sep 14 2006 José Matos <jamatos[AT]fc.up.pt> - 1.5-4
- Rebuild for FC6.

* Sun Jun  4 2006 José Matos <jamatos[AT]fc.up.pt> - 1.5-3
- Rebuild for R-2.3.x

* Wed Mar 08 2006 José Matos <jamatos[AT]fc.up.pt> 1.5-2
- Rename License to GPL only, add gfortran as BR, add DESCRIPTION to %%doc

* Fri Mar 03 2006 José Matos <jamatos[AT]fc.up.pt> 1.5-1
- Initial package creation
